> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anthid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update current user

> Updates metadata and locale fields for the authenticated WorkOS user. The authenticated principal must be a user.



## OpenAPI

````yaml /api-reference/organizations.openapi.json put /v1/users/me
openapi: 3.1.0
info:
  title: organizations
  description: ''
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://api.anthid.com
    description: Production
security: []
tags:
  - name: Organizations
    description: Organizations API
paths:
  /v1/users/me:
    put:
      tags:
        - Organizations
      summary: Update current user
      description: >-
        Updates metadata and locale fields for the authenticated WorkOS user.
        The authenticated principal must be a user.
      operationId: updateCurrentUser
      requestBody:
        description: Current user update payload
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateUserParams'
            example:
              locale: en-US
              metadata:
                theme: dark
        required: true
      responses:
        '200':
          description: Current user updated
        '400':
          description: Update payload is invalid
          content:
            text/plain:
              schema:
                type: string
        '401':
          description: Missing or invalid authentication credentials
          content:
            text/plain:
              schema:
                type: string
        '403':
          description: Authenticated principal is not a user
          content:
            text/plain:
              schema:
                type: string
        '429':
          description: Caller exceeded the request rate limit
          content:
            text/plain:
              schema:
                type: string
        '500':
          description: Unexpected server error while updating the user
          content:
            text/plain:
              schema:
                type: string
      security:
        - bearerAuth: []
components:
  schemas:
    UpdateUserParams:
      type: object
      required:
        - metadata
      properties:
        locale:
          type:
            - string
            - 'null'
        metadata:
          type: object
          additionalProperties:
            type: string
          propertyNames:
            type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````